> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Gift Card Redemption

Creates a new Gift Card redemption object in Subscribe. It also creates its associated objects such as a gift card object and the account's credit object. The customer's account must exist in the system prior to redemption.

**Note:** An existing gift card in the system that have not yet been redeemed can use this call for redemption.

## HTTP Request

`POST https://api.vindicia.com/gift_card_redemptions`

## Route (URL) Parameters

None.

## Query Parameters

None.

## Accepts

JSON - [Gift Card Redemption](Gift_Cards) gift card **pin** and [Account](Accounts) **id** or **vid** are required. The gift card's pin number is hidden number on the card itself that must be revealed for redemption. It is used to uniquely identify the gift card with the payment provider.

## Returns

JSON - full [Gift Card Redemptions](Gift_Card_Redemptions) object.

## Example Request

```

 curl -X POST \
 -u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
 -d ' {
"gift_card": {
 "pin": "IAAKEBJYMEXF6T3Q"
},
"account": { 
 "id": "cust_1234" 
}

}'"https://api.staging.us-west.vindicia.com/gift_card_redemptions"
```

## Example Response

The above command returns JSON structured like this:

```
{
    "object": "GiftCardRedemption",
    "vid": "4375c41aeaaae6dac40d629313fed2c3cb820fbf",
    "gift_card": {
        "object": "GiftCard",
        "vid": "8d1ece91e44441c3d424717c561dc8df74c4b5e4",
        "last_digits": "9FSE",
        "pin_length": 16,
        "hash_type": "sha1",
        "pin_hash": "b535aae49e30398c710989a79d56306e9ec0f309",
        "payment_provider": "Topps",
        "status": "Redeemed",
        "amount": 500,
        "currency": "MXN",
        "product_number": "91422282643651081111"
    },
    "account": {
        "object": "Account",
        "id": "cust_1234",
        "vid": "f147870b2c86a00fb1264fb64c0a8b58fcd95b4d",
        "created": "2021-03-09T14:35:02-08:00",
        "email": "cbrown@example.com",
        "email_type": "html",
        "company": "Peanuts",
        "name": "Charlie Brown",
        "shipping_address": {
            "object": "Address",
            "vid": "dad524f59d1bd72f10a9162b7d7790caa39678dc",
            "name": "Charlie Brown",
            "line1": "123 Main Street",
            "city": "San Francisco",
            "district": "CA",
            "postal_code": "94105",
            "country": "US",
            "phone": "415-555-3212"
        },
        "credit": {
            "object": "Credit",
            "currency_amounts": {
                "object": "List",
                "data": [
                    {
                        "object": "CurrencyAmount",
                        "vid": "4056f2a40c447475fbcc351aa24f9869d64832e4",
                        "currency": "MXN",
                        "amount": 500,
                        "description": "",
                        "reason": "Topps GiftCard Redemption",
                        "granted_by_cashbox": false,
                        "granted": "2021-03-25T18:39:06-07:00",
                        "source": "Account"
                    }
                ],
                "total_count": 1
            }
        }
    }
}
```

**Parent topic:**[Gift Card Redemptions](../topics/Gift_Card_Redemptions)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.